Loading...
Searching...
No Matches
Server TLS
Server

Server-side settings for TLS connections. More...

Collaboration diagram for Server TLS:

## Functions

void | nc_server_tls_set_verify_clb (int(*verify_clb)(const struct nc_session *session))
| Set TLS authentication additional verify callback.
const void * | nc_session_get_client_cert (const struct nc_session *session)
| Get client certificate.

## Detailed Description

Server-side settings for TLS connections.

## Function Documentation

## nc_session_get_client_cert()

const void * nc_session_get_client_cert | ( | const struct nc_session * | session | ) |

Get client certificate.

Parameters

  [in] | session | Session to get the information from.

Returns
  Const session client certificate.

## nc_server_tls_set_verify_clb()

void nc_server_tls_set_verify_clb | ( | int(*)(const struct nc_session *session) | verify_clb | ) |

Set TLS authentication additional verify callback.

Server will always perform cert-to-name based on its configuration. Only after it passes and this callback is set, it is also called. It should return non-zero for success, 0 to deny the user.

Parameters

  [in] | verify_clb | Additional user verify callback.